import * as Bull from "bull";
import { Queue } from "bullmq";
import { RedisOptions } from "ioredis";
import { FoundQueue } from "./queue-factory";
import { Responders } from "./responders/responders";
export declare const getCache: () => {
    [index: string]: {
        queue: Bull.Queue | Queue;
        responders: Responders;
    };
};
export declare function queueKey(queue: Omit<FoundQueue, "type">): string;
export declare function updateQueuesCache(redisOpts: RedisOptions, nodes?: string[]): Promise<FoundQueue[]>;
